## linux-linaro-mx51 2.6.38-1000.1

=== Makefile ===
VERSION = 2
PATCHLEVEL = 6
SUBLEVEL = 38
EXTRAVERSION = -rc6
NAME = Flesh-Eating Bats with Fangs

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

ifeq ($(ARCH),m68knommu)
       hdr-arch  := m68k
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage

# Prefer linux-backports-modules
ifneq ($(KBUILD_SRC),)
ifneq ($(shell if test -e $(KBUILD_OUTPUT)/ubuntu-build; then echo yes; fi),yes)
UBUNTUINCLUDE := -I/usr/src/linux-headers-lbm-$(KERNELRELEASE)
endif
endif

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := $(UBUNTUINCLUDE) -I$(srctree)/arch/$(hdr-arch)/include -Iinclude \
                   $(if $(KBUILD_SRC), -I$(srctree)/include) \
                   -include include/generated/autoconf.h

# UBUNTU: Include our third party driver stuff too
LINUXINCLUDE   += -Iubuntu/include $(if $(KBUILD_SRC),-I$(srctree)/ubuntu/include)

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP
export MAKE AWK GENKSYMS INSTALLKERNEL PERL UTS_MACHINE
export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

=== arch/microblaze/Makefile ===
ifeq ($(CONFIG_MMU),y)
UTS_SYSNAME = -DUTS_SYSNAME=\"Linux\"
else
UTS_SYSNAME = -DUTS_SYSNAME=\"uClinux\"
endif

# What CPU vesion are we building for, and crack it open
# as major.minor.rev
CPU_VER   := $(shell echo $(CONFIG_XILINX_MICROBLAZE0_HW_VER))
CPU_MAJOR := $(shell echo $(CPU_VER) | cut -d '.' -f 1)
CPU_MINOR := $(shell echo $(CPU_VER) | cut -d '.' -f 2)
CPU_REV   := $(shell echo $(CPU_VER) | cut -d '.' -f 3)

export CPU_VER CPU_MAJOR CPU_MINOR CPU_REV

# Use cpu-related CONFIG_ vars to set compile options.
# The various CONFIG_XILINX cpu features options are integers 0/1/2...
# rather than bools y/n

# Work out HW multipler support. This is tricky.
# 1. Spartan2 has no HW multiplers.
# 2. MicroBlaze v3.x always uses them, except in Spartan 2
# 3. All other FPGa/CPU ver combos, we can trust the CONFIG_ settings
ifeq (,$(findstring spartan2,$(CONFIG_XILINX_MICROBLAZE0_FAMILY)))
  ifeq ($(CPU_MAJOR),3)
    CPUFLAGS-1 += -mno-xl-soft-mul
  else
    # USE_HW_MUL can be 0, 1, or 2, defining a hierarchy of HW Mul support.
    CPUFLAGS-$(subst 1,,$(CONFIG_XILINX_MICROBLAZE0_USE_HW_MUL)) += -mxl-multiply-high
    CPUFLAGS-$(CONFIG_XILINX_MICROBLAZE0_USE_HW_MUL) += -mno-xl-soft-mul
  endif
endif
CPUFLAGS-$(CONFIG_XILINX_MICROBLAZE0_USE_DIV) += -mno-xl-soft-div
CPUFLAGS-$(CONFIG_XILINX_MICROBLAZE0_USE_BARREL) += -mxl-barrel-shift
CPUFLAGS-$(CONFIG_XILINX_MICROBLAZE0_USE_PCMP_INSTR) += -mxl-pattern-compare

CPUFLAGS-1 += $(call cc-option,-mcpu=v$(CPU_VER))

# r31 holds current when in kernel mode
KBUILD_CFLAGS += -ffixed-r31 $(CPUFLAGS-1) $(CPUFLAGS-2)

LDFLAGS		:=
LDFLAGS_vmlinux	:=

head-y := arch/microblaze/kernel/head.o
libs-y += arch/microblaze/lib/
core-y += arch/microblaze/kernel/
core-y += arch/microblaze/mm/
core-y += arch/microblaze/platform/
core-$(CONFIG_PCI) += arch/microblaze/pci/

drivers-$(CONFIG_OPROFILE) += arch/microblaze/oprofile/

boot := arch/microblaze/boot

# Are we making a simpleImage.<boardname> target? If so, crack out the boardname
DTB:=$(subst simpleImage.,,$(filter simpleImage.%, $(MAKECMDGOALS)))

ifneq ($(DTB),)
	core-y	+= $(boot)/
endif

# defines filename extension depending memory management type
ifeq ($(CONFIG_MMU),)
MMU := -nommu
endif

export MMU DTB

all: linux.bin

# With make 3.82 we cannot mix normal and wildcard targets
BOOT_TARGETS1 = linux.bin linux.bin.gz
BOOT_TARGETS2 = simpleImage.%

archclean:
	$(Q)$(MAKE) $(clean)=$(boot)

$(BOOT_TARGETS1): vmlinux
	$(Q)$(MAKE) $(build)=$(boot) $(boot)/$@
$(BOOT_TARGETS2): vmlinux
	$(Q)$(MAKE) $(build)=$(boot) $(boot)/$@

define archhelp
  echo '* linux.bin    - Create raw binary'
  echo '  linux.bin.gz - Create compressed raw binary'
  echo '  simpleImage.<dt> - ELF image with $(arch)/boot/dts/<dt>.dts linked in'
  echo '                   - stripped elf with fdt blob'
  echo '  simpleImage.<dt>.unstrip - full ELF image with fdt blob'
  echo '  *_defconfig      - Select default config from arch/microblaze/configs'
  echo ''
  echo '  Targets with <dt> embed a device tree blob inside the image'
  echo '  These targets support board with firmware that does not'
  echo '  support passing a device tree directly. Replace <dt> with the'
  echo '  name of a dts file from the arch/microblaze/boot/dts/ directory'
  echo '  (minus the .dts extension).'
endef

MRPROPER_FILES += $(boot)/simpleImage.*

=== drivers/acpi/Makefile ===
#
# Makefile for the Linux ACPI interpreter
#

ccflags-y			:= -Os
ccflags-$(CONFIG_ACPI_DEBUG)	+= -DACPI_DEBUG_OUTPUT

#
# ACPI Boot-Time Table Parsing
#
obj-y				+= tables.o
obj-$(CONFIG_X86)		+= blacklist.o

#
# ACPI Core Subsystem (Interpreter)
#
obj-y				+= acpi.o \
					acpica/

# All the builtin files are in the "acpi." module_param namespace.
acpi-y				+= osl.o utils.o reboot.o
acpi-y				+= atomicio.o

# sleep related files
acpi-y				+= wakeup.o
acpi-y				+= sleep.o
acpi-$(CONFIG_ACPI_SLEEP)	+= proc.o nvs.o


#
# ACPI Bus and Device Drivers
#
acpi-y				+= bus.o glue.o
acpi-y				+= scan.o
acpi-y				+= processor_core.o
acpi-y				+= ec.o
acpi-$(CONFIG_ACPI_DOCK)	+= dock.o
acpi-y				+= pci_root.o pci_link.o pci_irq.o pci_bind.o
acpi-y				+= power.o
acpi-y				+= event.o
acpi-y				+= sysfs.o
#acpi-$(CONFIG_DEBUG_FS)		+= debugfs.o
acpi-$(CONFIG_ACPI_NUMA)	+= numa.o
acpi-$(CONFIG_ACPI_PROCFS_POWER) += cm_sbs.o
ifdef CONFIG_ACPI_VIDEO
acpi-y				+= video_detect.o
endif

# These are (potentially) separate modules
obj-$(CONFIG_ACPI_AC) 		+= ac.o
obj-$(CONFIG_ACPI_BUTTON)	+= button.o
obj-$(CONFIG_ACPI_FAN)		+= fan.o
obj-$(CONFIG_ACPI_VIDEO)	+= video.o
obj-$(CONFIG_ACPI_PCI_SLOT)	+= pci_slot.o
obj-$(CONFIG_ACPI_PROCESSOR)	+= processor.o
obj-$(CONFIG_ACPI_CONTAINER)	+= container.o
obj-$(CONFIG_ACPI_THERMAL)	+= thermal.o
obj-$(CONFIG_ACPI_HOTPLUG_MEMORY) += acpi_memhotplug.o
obj-$(CONFIG_ACPI_BATTERY)	+= battery.o
obj-$(CONFIG_ACPI_SBS)		+= sbshc.o
obj-$(CONFIG_ACPI_SBS)		+= sbs.o
obj-$(CONFIG_ACPI_POWER_METER)	+= power_meter.o
obj-$(CONFIG_ACPI_HED)		+= hed.o
obj-$(CONFIG_ACPI_EC_DEBUGFS)	+= ec_sys.o

# processor has its own "processor." module_param namespace
processor-y			:= processor_driver.o processor_throttling.o
processor-y			+= processor_idle.o processor_thermal.o
processor-$(CONFIG_CPU_FREQ)	+= processor_perflib.o

obj-$(CONFIG_ACPI_PROCESSOR_AGGREGATOR) += acpi_pad.o
obj-$(CONFIG_ACPI_IPMI)		+= acpi_ipmi.o

obj-$(CONFIG_ACPI_APEI)		+= apei/

=== drivers/message/Makefile ===
#
# Makefile for MPT based block devices
#

obj-$(CONFIG_I2O)	+= i2o/
obj-$(CONFIG_FUSION)	+= fusion/

=== fs/btrfs/Makefile ===

obj-$(CONFIG_BTRFS_FS) := btrfs.o

btrfs-y += super.o ctree.o extent-tree.o print-tree.o root-tree.o dir-item.o \
	   file-item.o inode-item.o inode-map.o disk-io.o \
	   transaction.o inode.o file.o tree-defrag.o \
	   extent_map.o sysfs.o struct-funcs.o xattr.o ordered-data.o \
	   extent_io.o volumes.o async-thread.o ioctl.o locking.o orphan.o \
	   export.o tree-log.o acl.o free-space-cache.o zlib.o lzo.o \
	   compression.o delayed-ref.o relocation.o

=== fs/proc/Makefile ===
#
# Makefile for the Linux proc filesystem routines.
#

obj-y   += proc.o

proc-y			:= nommu.o task_nommu.o
proc-$(CONFIG_MMU)	:= mmu.o task_mmu.o

proc-y       += inode.o root.o base.o generic.o array.o \
		proc_tty.o
proc-y	+= cmdline.o
proc-y	+= consoles.o
proc-y	+= cpuinfo.o
proc-y	+= devices.o
proc-y	+= interrupts.o
proc-y	+= loadavg.o
proc-y	+= meminfo.o
proc-y	+= stat.o
proc-y	+= uptime.o
proc-y	+= version.o
proc-y	+= softirqs.o
proc-$(CONFIG_PROC_SYSCTL)	+= proc_sysctl.o
proc-$(CONFIG_NET)		+= proc_net.o
proc-$(CONFIG_PROC_KCORE)	+= kcore.o
proc-$(CONFIG_PROC_VMCORE)	+= vmcore.o
proc-$(CONFIG_PROC_DEVICETREE)	+= proc_devtree.o
proc-$(CONFIG_PRINTK)	+= kmsg.o
proc-$(CONFIG_PROC_PAGE_MONITOR)	+= page.o
proc-y	+= version_signature.o

=== security/apparmor/Makefile ===
# Makefile for AppArmor Linux Security Module
#
obj-$(CONFIG_SECURITY_APPARMOR) += apparmor.o

apparmor-y := apparmorfs.o audit.o capability.o context.o ipc.o lib.o match.o \
              path.o domain.o policy.o policy_unpack.o procattr.o lsm.o \
              resource.o sid.o file.o net.o

apparmor-$(CONFIG_SECURITY_APPARMOR_COMPAT_24) += apparmorfs-24.o

clean-files: capability_names.h af_names.h

quiet_cmd_make-caps = GEN     $@
cmd_make-caps = echo "static const char *capability_names[] = {" > $@ ; sed -n -e "/CAP_FS_MASK/d" -e "s/^\#define[ \\t]\\+CAP_\\([A-Z0-9_]\\+\\)[ \\t]\\+\\([0-9]\\+\\)\$$/[\\2]  = \"\\1\",/p" $< | tr A-Z a-z >> $@ ; echo "};" >> $@

quiet_cmd_make-af = GEN     $@
cmd_make-af = echo "static const char *address_family_names[] = {" > $@ ; sed -n -e "/AF_MAX/d" -e "/AF_LOCAL/d" -e "s/^\#define[ \\t]\\+AF_\\([A-Z0-9_]\\+\\)[ \\t]\\+\\([0-9]\\+\\)\\(.*\\)\$$/[\\2]  = \"\\1\",/p" $< | tr A-Z a-z >> $@ ; echo "};" >> $@

quiet_cmd_make-rlim = GEN     $@
cmd_make-rlim = echo "static const char *rlim_names[] = {" > $@ ; sed -n --e "/AF_MAX/d" -e "s/^\# \\?define[ \\t]\\+RLIMIT_\\([A-Z0-9_]\\+\\)[ \\t]\\+\\([0-9]\\+\\)\\(.*\\)\$$/[\\2]  = \"\\1\",/p" $< | tr A-Z a-z >> $@ ; echo "};" >> $@ ; echo "static const int rlim_map[] = {" >> $@ ; sed -n -e "/AF_MAX/d" -e "s/^\# \\?define[ \\t]\\+\\(RLIMIT_[A-Z0-9_]\\+\\)[ \\t]\\+\\([0-9]\\+\\)\\(.*\\)\$$/\\1,/p" $< >> $@ ; echo "};" >> $@

$(obj)/capability.o : $(obj)/capability_names.h
$(obj)/net.o : $(obj)/af_names.h
$(obj)/resource.o : $(obj)/rlim_names.h
$(obj)/capability_names.h : $(srctree)/include/linux/capability.h
	$(call cmd,make-caps)
$(obj)/af_names.h : $(srctree)/include/linux/socket.h
	$(call cmd,make-af)
$(obj)/rlim_names.h : $(srctree)/include/asm-generic/resource.h
	$(call cmd,make-rlim)

=== ubuntu/aufs/Makefile ===

include ${src}/magic.mk
ifeq (${CONFIG_AUFS_FS},m)
include ${src}/conf.mk
endif
-include ${src}/priv_def.mk

# cf. include/linux/kernel.h
# enable pr_debug
ccflags-y += -DDEBUG
# sparse doesn't allow spaces
ccflags-y += -D'pr_fmt(fmt)=AUFS_NAME"\040%s:%d:%s[%d]:\040"fmt,__func__,__LINE__,current->comm,current->pid'

obj-$(CONFIG_AUFS_FS) += aufs.o
aufs-y := module.o sbinfo.o super.o branch.o xino.o sysaufs.o opts.o \
	wkq.o vfsub.o dcsub.o \
	cpup.o whout.o wbr_policy.o \
	dinfo.o dentry.o \
	dynop.o \
	finfo.o file.o f_op.o \
	dir.o vdir.o \
	iinfo.o inode.o i_op.o i_op_add.o i_op_del.o i_op_ren.o \
	ioctl.o

# all are boolean
aufs-$(CONFIG_PROC_FS) += procfs.o plink.o
aufs-$(CONFIG_SYSFS) += sysfs.o
aufs-$(CONFIG_DEBUG_FS) += dbgaufs.o
aufs-$(CONFIG_AUFS_BDEV_LOOP) += loop.o
aufs-$(CONFIG_AUFS_HNOTIFY) += hnotify.o
aufs-$(CONFIG_AUFS_HFSNOTIFY) += hfsnotify.o
aufs-$(CONFIG_AUFS_EXPORT) += export.o
aufs-$(CONFIG_AUFS_POLL) += poll.o
aufs-$(CONFIG_AUFS_RDU) += rdu.o
aufs-$(CONFIG_AUFS_SP_IATTR) += f_op_sp.o
aufs-$(CONFIG_AUFS_BR_HFSPLUS) += hfsplus.o
aufs-$(CONFIG_AUFS_DEBUG) += debug.o
aufs-$(CONFIG_AUFS_MAGIC_SYSRQ) += sysrq.o

=== arch/arm/mach-imx/Makefile ===
#
# Makefile for the linux kernel.
#

# Object file lists.

obj-$(CONFIG_IMX_HAVE_DMA_V1) += dma-v1.o

obj-$(CONFIG_ARCH_MX1) += clock-imx1.o mm-imx1.o
obj-$(CONFIG_MACH_MX21) += clock-imx21.o mm-imx21.o

obj-$(CONFIG_ARCH_MX25) += clock-imx25.o mm-imx25.o

obj-$(CONFIG_MACH_MX27) += cpu-imx27.o pm-imx27.o
obj-$(CONFIG_MACH_MX27) += clock-imx27.o mm-imx27.o

# Support for CMOS sensor interface
obj-$(CONFIG_MX1_VIDEO)	+= mx1-camera-fiq.o mx1-camera-fiq-ksym.o

obj-$(CONFIG_ARCH_MX1ADS) += mach-mx1ads.o
obj-$(CONFIG_MACH_SCB9328) += mach-scb9328.o

obj-$(CONFIG_MACH_MX21ADS) += mach-mx21ads.o

obj-$(CONFIG_MACH_MX25_3DS) += mach-mx25_3ds.o
obj-$(CONFIG_MACH_EUKREA_CPUIMX25) += mach-eukrea_cpuimx25.o
obj-$(CONFIG_MACH_EUKREA_MBIMXSD25_BASEBOARD) += eukrea_mbimxsd25-baseboard.o

obj-$(CONFIG_MACH_MX27ADS) += mach-mx27ads.o
obj-$(CONFIG_MACH_PCM038) += mach-pcm038.o
obj-$(CONFIG_MACH_PCM970_BASEBOARD) += pcm970-baseboard.o
obj-$(CONFIG_MACH_MX27_3DS) += mach-mx27_3ds.o
obj-$(CONFIG_MACH_IMX27LITE) += mach-imx27lite.o
obj-$(CONFIG_MACH_IMX27_VISSTRIM_M10) += mach-imx27_visstrim_m10.o
obj-$(CONFIG_MACH_CPUIMX27) += mach-cpuimx27.o
obj-$(CONFIG_MACH_EUKREA_MBIMX27_BASEBOARD) += eukrea_mbimx27-baseboard.o
obj-$(CONFIG_MACH_PCA100) += mach-pca100.o
obj-$(CONFIG_MACH_MXT_TD60) += mach-mxt_td60.o

=== arch/arm/mach-ux500/Makefile ===
#
# Makefile for the linux kernel, U8500 machine.
#

obj-y				:= clock.o cpu.o devices.o devices-common.o \
				   id.o
obj-$(CONFIG_UX500_SOC_DB5500)	+= cpu-db5500.o dma-db5500.o
obj-$(CONFIG_UX500_SOC_DB8500)	+= cpu-db8500.o devices-db8500.o prcmu.o
obj-$(CONFIG_MACH_U8500)	+= board-mop500.o board-mop500-sdi.o \
				board-mop500-keypads.o
obj-$(CONFIG_MACH_U5500)	+= board-u5500.o board-u5500-sdi.o
obj-$(CONFIG_SMP)		+= platsmp.o headsmp.o
obj-$(CONFIG_HOTPLUG_CPU)	+= hotplug.o
obj-$(CONFIG_LOCAL_TIMERS)	+= localtimer.o
obj-$(CONFIG_REGULATOR_AB8500)	+= board-mop500-regulators.o
obj-$(CONFIG_U5500_MODEM_IRQ)	+= modem-irq-db5500.o
obj-$(CONFIG_U5500_MBOX)	+= mbox-db5500.o
obj-$(CONFIG_CPU_FREQ)		+= cpufreq.o

=== arch/microblaze/lib/Makefile ===
#
# Makefile
#

lib-y :=  memset.o

ifeq ($(CONFIG_OPT_LIB_ASM),y)
lib-y += fastcopy.o
else
lib-y += memcpy.o memmove.o
endif

lib-y += uaccess_old.o

lib-y += ashldi3.o
lib-y += ashrdi3.o
lib-y += divsi3.o
lib-y += lshrdi3.o
lib-y += modsi3.o
lib-y += muldi3.o
lib-y += mulsi3.o
lib-y += udivsi3.o
lib-y += umodsi3.o

=== arch/s390/mm/Makefile ===
#
# Makefile for the linux s390-specific parts of the memory manager.
#

obj-y	 := init.o fault.o extmem.o mmap.o vmem.o pgtable.o maccess.o \
	    page-states.o gup.o
obj-$(CONFIG_CMM) += cmm.o
obj-$(CONFIG_HUGETLB_PAGE) += hugetlbpage.o

## linux-linaro-mx51 2.6.37-1002.5

=== debian/changelog ===
linux-linaro-mx51 (2.6.37-1002.5) natty; urgency=low

  [ John Rigby ]

  * rebase to new upstreams: 
    v2.6.37 final
    Ubuntu-2.6.37-12.28
  * Clean up lintian errors and warnings
    - LP: #697317

 -- John Rigby <john.rigby@linaro.org>  Sat, 08 Jan 2011 18:34:41 -0700

linux-linaro-mx51 (2.6.37-1001.4) natty; urgency=low

  [ John Rigby ]

  * rebase to new upstreams:
    snapshot of linux-linaro-2.6.36 13Dec2010
    revert 2.6.36.1
    merge v2.6.37-rc4
    rebase Ubuntu-2.6.37-8.21 onto the result
  * LINARO: update configs
    enable CONFIG_SWAP, CONFIG_POSIX_MQUEUES, CONFIG_PERF_EVENTS

 -- John Rigby <john.rigby@linaro.org>  Mon, 13 Dec 2010 16:51:19 -0700

linux-linaro-mx51 (2.6.37-1000.3) natty; urgency=low

  [ John Rigby ]

  * LINARO: no build-depends-indep for now
  * LINARO: Fix problems with naming of flavour independent debs
  * OMAP4: enable smc instruction in new assembler versions

 -- John Rigby <john.rigby@linaro.org>  Wed, 01 Dec 2010 01:07:18 -0700

linux-linaro-mx51 (2.6.37-1000.2) natty; urgency=low

  [ John Rigby ]

  * fix problems with source package per flavour building

 -- John Rigby <john.rigby@linaro.org>  Tue, 30 Nov 2010 01:00:49 -0700

linux-linaro-mx51 (2.6.37-1000.1) natty; urgency=low

  [ John Rigby ]

  * rebase to new upstreams:
    snapshot of linux-linaro-2.6.36 24Nov2010
    minus commits from 2.6.36.1 merge
    merged with upstream v2.6.37-rc3
    plus sauce and packaging from Ubuntu-2.6.37-7.18
    all but three commits applied cleanly
    Fixed:
        UBUNTU: SAUCE: omap: remove calls to usb_nop_xceiv_register from board files
    Dropped:
        ARM: stack protector: change the canary value per task
        Revert "ARM: stack protector: change the canary value per task"
            after merge conflict was resolved the commit ended up being no change
            so the effect was to drop these

 -- John Rigby <john.rigby@linaro.org>  Fri, 26 Nov 2010 14:20:09 -0700

linux-linaro-mx51 (2.6.36-1000.1) natty; urgency=low

  [ John Rigby ]

  * First 2.6.36 release based on:
    linux-linaro-2.6.36 snapshot of 16Nov2010
      Note: this is core 2.6.36 plus ARM related from 2.6.37

    Ubuntu 2.6.37-5.13 packaging and sauce
      All Ubuntu patches applied cleanly or cleanly after fixes
      with the following exceptions.  See linaro-dropped.txt for details:

      These are not needed because these already are in linux-linaro-2.6.36:
        ARM: stack protector: change the canary value per task
        Revert "ARM: stack protector: change the canary value per task"

      These were not applied because ...:
        UBUNTU: SAUCE: fix documentation strings for struct input_keymap_entry
          This patch does not seem to patch any code that exists in linux-linaro-2.6.36
          For that matter it doesn't do what the description says even in Ubuntu
        mmap randomization for executable mappings on 32-bit
          Not a trivial merge failure, wait for linux-linaro-2.6.37 for this
        Fix userspace build of linux/fs.h
          patches a section of file that does not exist in 2.6.36
        UBUNTU: ubuntu: AUFS -- track changes to work queue initialisation
          change that makes this patch necessary is not in 2.6.36

    Linaro packaging

 -- John Rigby <john.rigby@linaro.org>  Thu, 18 Nov 2010 15:23:03 -0700

linux-linaro-mx51 (2.6.35-1008.15) maverick-proposed; urgency=low

  [ Robert Nelson ]

  * SRU: Fix DVI for Beagle xM rev A3
    - LP: #663642

 -- John Rigby <john.rigby@linaro.org>  Thu, 21 Oct 2010 11:01:14 -0600

linux-linaro-mx51 (2.6.35-1008.14) maverick-proposed; urgency=low

  [ Andy Whitcroft ]

  * reduce disk usage during buildd builds
    - LP: #645653

  [ Enric Balletbo i Serra ]

  * ARM: igepv2: Adding support for VBUS and overcurrent
    - LP: #651589
  * ARM: igepv2: Fix and improve LED handling
    - LP: #654582
  * ARM: igepv2: Introduce function to dectect HW version
    - LP: #654586
  * ARM: igepv2: Fix handling of GPIOs for WLAN-BT combo
    - LP: #654590
  * ARM: igepv2: Add i2c eeprom driver to read EDID
    - LP: #654594
  * ARM: igepv2: Remove VMMC2 regulator
    - LP: #654595

  [ Maurus Cuelenaere ]

  * SAUCE: ARM: OMAP3: Add S-Video output to IGEPv2 board
    - LP: #607250

  [ Upstream Stable ]
  * Linux 2.6.35.7

  [ Upstream MMC updates ]

  * mmc: recognize CSD structure
  * mmc: split mmc_sd_init_card()
  * mmc: implement SD-combo (IO+mem) support
  * sdhci: remove useless set_clock() check
  * sdhci: 8-bit data transfer width support
  * sdhci: don't assign mmc->caps at SDHCI directly
  * mmc: only set blockaddressed for > 2GiB cards
  * mmc: omap: fix for bus width which improves SD card's peformance.
  * sdhci-pltfm: switch to module device table matching
  * sdhci-pltfm: reorganize Makefile entries to support SoC devices
  * sdhci-pltfm: add support for CNS3xxx SoC devices
  * omap hsmmc: fix processing of all dma interrupts as block completion
  * sdhci: add regulator support
  * sdhci: add no hi-speed bit quirk support
  * mmc: avoid getting CID on SDIO-only cards
  * omap_hsmmc: remove unused local `state'
  * omap hsmmc: fix a racing case between kmmcd and omap_hsmmc_suspend
  * drivers/mmc/host/imxmmc.c: adjust confusing if indentation
  * mmc: sdhci-pltfm: Add structure for host-specific data
  * mmc: sdhci-pltfm: move .h file into appropriate subdir
  * mmc: sdhci: introduce get_ro private write-protect hook
  * mmc: sdhci_pltfm: pass more data on custom init call
  * mmc: sdhci-of-esdhc: factor out common stuff
  * mmc: sdhci-pltfm: add -pltfm driver for imx35/51
  * mmc: quirk fix for timeout problem
  * babbage: esdhc device registration
  * babbage: update mx51_defconfig
    - LP: #656966


  [ Upstream ARM fixes ]

  * Make PTRACE_SINGLESTEP work with user helpers
  * ARM: fix section mismatch warnings in Versatile Express
  * ARM: use memblock to remove memory from available memory
  * video: omap: vram: remove from normal memory
    - LP: #627779



=== debian/control ===
Source: linux-linaro-mx51
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, binutils-dev, rsync, libdw-dev
#Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: git://git.linaro.org/ubuntu/linux-linaro.git

Package: linux-headers-2.6.37-1002
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}
#Provides: linux-linaro-mx51-headers, linux-linaro-mx51-headers-2.6
Description: Header files related to Linux kernel version 2.6.37
 This package provides kernel header files for version 2.6.37, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-linaro-mx51-headers-2.6.37-1002/debian.README.gz for details

Package: linux-linaro-tools-2.6.37-1002
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel tools for version 2.6.37-1002
 This package provides the architecture dependant parts for kernel
 version locked tools for version 2.6.37-1002 on
 DESC.

Package: linux-image-2.6.37-1002-linaro-mx51
Architecture: armel
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24), debconf | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: uboot-mkimage, flash-kernel
Suggests: fdutils, linux-linaro-mx51-doc-2.6.37 | linux-linaro-mx51-source-2.6.37, linux-linaro-tools
Description: Linux kernel image for version 2.6.37 on Freescale i.MX51 based platforms
 This package contains the Linux kernel image for version 2.6.37 on
 Freescale i.MX51 based platforms.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Freescale i.MX51 processors.
 .
 Freescale Babbage platform
 .
 You likely do not want to install this package directly. Instead, install
 the linux-linaro-mx51 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.37-1002-linaro-mx51
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-2.6.37-1002, ${shlibs:Depends}
Description: Linux kernel headers for version 2.6.37 on Freescale i.MX51 based platforms
 This package provides kernel header files for version 2.6.37 on
 Freescale i.MX51 based platforms.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-linaro-mx51-headers-2.6.37-1002/debian.README.gz
 for details.

Package: linux-image-2.6.37-1002-linaro-mx51-dbgsym
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.37 on Freescale i.MX51 based platforms
 This package provides a kernel debug image for version 2.6.37 on
 Freescale i.MX51 based platforms.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

## linux-linaro-mx51 2.6.37-1003.6

=== debian/changelog ===
linux-linaro-mx51 (2.6.37-1003.6) natty; urgency=low

  [ John Rigby ]

  * Rebase to new upstreams:
    linaro-linux-2.6.37-upstream-24Jan2011
    Ubuntu-2.6.37-12.26
       Skipping because of conflicting upstream patches:
         ARM: stack protector: change the canary value per task
         Revert "ARM: stack protector: change the canary value per task"
         UBUNTU: SAUCE: ARM: OMAP: Beagle: support twl gpio differences on xM
  * Add U8500 flavour
  * Rebase to linaro-linux-2.6.37-upstream-27Jan2011
  * Fix Ubuntu upstream version number typo
  * Rebase to linaro-linux-2.6.37-upstream-31Jan2011
  * Rebase to linaro-linux-2.6.37-upstream-08Feb2011
  * Enforce CONFIG_PRINTK_TIME for all flavours
    - LP: #715576
  * Fix package control file to indicate that OMAP4 is supported
    - LP: #714590
  * Enforce CONFIG_PM_DEBUG for all flavours
    - LP: #713075
  * Add s5pv310 flavour
  * enable and enforce CONFIG_BTRFS_FS for all flavours
    - LP: #715835
  * Rebase to linaro-linux-2.6.37-upstream-10Feb2011
    - LP: #707038
  * Add config cleanup and automatic tmp branch creation to mkflavourbranches

 -- John Rigby <john.rigby@linaro.org>  Tue, 08 Feb 2011 19:56:22 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
 Vcs-Git: git://git.linaro.org/ubuntu/linux-linaro.git
 
-Package: linux-headers-2.6.37-1002
+Package: linux-headers-2.6.37-1003
 Architecture: armel
 Section: devel
 Priority: optional
@@ -17,19 +17,19 @@
 Description: Header files related to Linux kernel version 2.6.37
  This package provides kernel header files for version 2.6.37, for sites
  that want the latest kernel headers. Please read
- /usr/share/doc/linux-linaro-mx51-headers-2.6.37-1002/debian.README.gz for details
+ /usr/share/doc/linux-linaro-mx51-headers-2.6.37-1003/debian.README.gz for details
 
-Package: linux-linaro-tools-2.6.37-1002
+Package: linux-linaro-tools-2.6.37-1003
 Architecture: armel
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
-Description: Linux kernel tools for version 2.6.37-1002
+Description: Linux kernel tools for version 2.6.37-1003
  This package provides the architecture dependant parts for kernel
- version locked tools for version 2.6.37-1002 on
+ version locked tools for version 2.6.37-1003 on
  DESC.
 
-Package: linux-image-2.6.37-1002-linaro-mx51
+Package: linux-image-2.6.37-1003-linaro-mx51
 Architecture: armel
 Section: admin
 Priority: optional
@@ -54,20 +54,20 @@
  the linux-linaro-mx51 meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-2.6.37-1002-linaro-mx51
+Package: linux-headers-2.6.37-1003-linaro-mx51
 Architecture: armel
 Section: devel
 Priority: optional
-Depends: ${misc:Depends}, linux-headers-2.6.37-1002, ${shlibs:Depends}
+Depends: ${misc:Depends}, linux-headers-2.6.37-1003, ${shlibs:Depends}
 Description: Linux kernel headers for version 2.6.37 on Freescale i.MX51 based platforms
  This package provides kernel header files for version 2.6.37 on
  Freescale i.MX51 based platforms.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-linaro-mx51-headers-2.6.37-1002/debian.README.gz
+ /usr/share/doc/linux-linaro-mx51-headers-2.6.37-1003/debian.README.gz
  for details.
 
-Package: linux-image-2.6.37-1002-linaro-mx51-dbgsym
+Package: linux-image-2.6.37-1003-linaro-mx51-dbgsym
 Architecture: armel
 Section: devel
 Priority: optional

## linux-linaro-mx51 2.6.38-1000.1

=== debian/changelog ===
linux-linaro-mx51 (2.6.38-1000.1) natty; urgency=low

  * Rebase to new upstreams: 
    Linux v2.6.38-rc5
    linaro-linux-2.6.38-upstream-22Feb2011
    Ubuntu-2.6.38-4.31
  * Enforce CONFIG_PM_ADVANCED_DEBUG for all flavours
    - LP: #713075
  * Temporarily disable display on OMAP4
  * Rebase to new upstreams: 
    Linux v2.6.38-rc6
    linaro-linux-2.6.38-upstream-23Feb2011
    Ubuntu-2.6.38-5.32
  * OMAP4: enable smc instructions in  arch/arm/mach-omap2/sleep34xx.S
  * Disable CONFIG_BINFMT_AOUT for OMAP
    Now consistent with other platforms

 -- John Rigby <john.rigby@linaro.org>  Wed, 23 Feb 2011 16:57:41 -0700

=== ubuntu/omnibook/debian/changelog ===
omnibook (2:2.20070211+svn20090714b-1) unstable; urgency=low

  * New SVN snapshot:
    + fix build issue induced by previous patches
    + fix build with kernel >= 2.6.30

 -- Julien Valroff <julien@kirya.net>  Tue, 14 Jul 2009 18:17:49 +0200

omnibook (2:2.20070211+svn20090714-1) unstable; urgency=low

  * New SVN snapshot:
    + Applied patches from Azael Avalos <coproscefalo@gmail.com>
    to add support to Satellite X205 and other laptops based on
    ICH8
  * New Standards version 3.8.2
  * Bumped DH compat to 7
  * Updated copyright information
  * Now use dh_prep instead of dh_clean -k

 -- Julien Valroff <julien@kirya.net>  Tue, 14 Jul 2009 10:03:00 +0200

omnibook (2:2.20070211+svn20090227-1) unstable; urgency=low

  * New SVN snapshot
    + Applied patch from Danny Kukawka <dkukawka@suse.de> to
    fix compiler warning about use uninitialized variable
    + Applied patch from Danny Kukawka <dkukawka@suse.de> to
    fix build the driver on older kernel versions

  * New Standards version 3.8.0 - no further changes needed
  * Updated copryight information

 -- Julien Valroff <julien@kirya.net>  Fri, 27 Feb 2009 19:57:35 +0100

omnibook (2:2.20070211+svn20071217-1) unstable; urgency=low

  * New SVN snapshot (r271)
  * Added amd64 as a compatible architecture for the module
  * New Standards version 3.7.3 - no further changes needed

 -- Julien Valroff <julien@kirya.net>  Mon, 17 Dec 2007 18:00:29 +0100

omnibook (2:2.20070211+svn20071006-1) unstable; urgency=low

  * New SVN snapshot (r264):
    + Update for acpi and backlight API changes in linux 2.6.23
  * First upload to Debian (Closes: #445602):
    + Improved debian/copyright
    + Bumped debhelper compat to version 5
    + Added myself as maintainer
    + Updated README.Debian
  * debian/control:
    + Moved Homepage to own field (from pseudo-field in long description)
    + Added Vcs-* fields

 -- Julien Valroff <julien@kirya.net>  Thu, 29 Nov 2007 18:30:27 +0100

omnibook (2:2.20070211+svn20070905-1) unstable; urgency=low

  * Added dependency on dpatch
  * [debian/rules]:
    - Fixed lintian warning in the clean target

 -- Julien Valroff <julien@kirya.net>  Wed, 05 Sep 2007 20:25:13 +0200

omnibook (2:2.20070211+svn20070526-1) unstable; urgency=low

  * New SVN snapshot (r259):
    + Fixed compilation issue with kernel 2.6.21
    + DMI signature added:
        Toshiba Satellite P25 (ectype 11)
        Toshiba Satellite M60 (ectype 12)
  * Added patch to disable debug for SVN snasphot

 -- Julien Valroff <julien@kirya.net>  Sat, 26 May 2007 15:19:57 +0200

omnibook (2:2.20070211-1) unstable; urgency=low

  * New upstream release:
    + For ectype 12 (Satellite M40X, M70, M100, ...):
      - improved bluetooth control
      - cooling method control
      - CPU throttling ( ACPI T-States)
    + Full hotkeys support for Tecra S1
    + Bluetooth control for Ectype 14 (Satellite A100, A105, M115, ...)
  * Updated homepage in long description

 -- Julien Valroff <julien@kirya.net>  Mon, 12 Feb 2007 18:50:05 +0100

omnibook (2:2.20060921+svn20061202-1) unstable; urgency=low

  * New SVN snapshot (r228)

 -- Julien Valroff <julien@kirya.net>  Sat,  2 Dec 2006 10:17:07 +0100

omnibook (2:2.20060921+svn20061112-1) unstable; urgency=low

  * SVN snapshot:
    + Disabled Acer support
    + Fixed and improved bluetooth handling for TSM30X class laptop
    + DMI signature added:
      HP Pavilion ze4500 (ectype 7)
      Toshiba Satellite 1130 (ectype 1)
      Toshiba Satellite A75 (ectype 12)
      Toshiba Tecra A4 (ectype 13)
    + Implemented Volume down,up and Mute buttons polling for ectype 2
    + Implemented ectype 13 Fn hotkeys handling.
  * changed compression of the sources in /usr/src/ to bzip2

 -- Julien Valroff <julien@kirya.net>  Sat, 11 Nov 2006 14:08:47 +0100

omnibook (2:2.20060921-1) unstable; urgency=low

  * New upstream release:
    + Expand display and hotkeys features
    + Added support for more laptops
    + Code cleanups
    + Minor bug fixes

 -- Julien Valroff <julien@kirya.net>  Mon, 25 Sep 2006 08:14:59 +0200

omnibook (2:2.20060817-1) unstable; urgency=low

  * New upstream release
  * [01_makfefile.dpatch] Removed - fixed upstream
  * Changed defaut STEM value to linux (follows kernel-package)
  * Uses dh_installmodules for maintainance scripts

 -- Julien Valroff <julien@kirya.net>  Mon, 11 Sep 2006 18:00:50 +0200

omnibook (2:2.20060809-2) unstable; urgency=low

  * Include copyright and Debian changelog in omnibook-module
  * Fix Makefile issue in a more elegant way

 -- Julien Valroff <julien@kirya.net>  Thu, 10 Aug 2006 10:16:47 +0200

omnibook (2:2.20060809-1) unstable; urgency=low

  * New upstream release:
    + Addeed autodetection of the Toshiba Satellite M40X laptop

 -- Julien Valroff <julien@kirya.net>  Thu, 10 Aug 2006 09:40:45 +0200

omnibook (2:2.20060806-1) unstable; urgency=low

  * New upstream branch - Mathieu Bérard launched new project
  * Added myself as co-maintainer
  * Bumped upstream version and use epoch to ensure upgrades
  * [debian/rules]:
    + Clean-ups
    + Recommends linux-image or kernel-image
  * [debian/control] Improved long description
  * [debian/post*.modules.in] Fixed bashisms
  * Added patch to fix install target in Makefile

 -- Julien Valroff <julien@kirya.net>  Thu, 10 Aug 2006 01:35:38 +0200

omnibook (20060126-1) unstable; urgency=low

  * Minor build inconveniences corrected.

 -- Daniel Gimpelevich <daniel@gimpelevich.san-francisco.ca.us>  Sun, 18 Jun 2006 12:28:55 -0700

omnibook (20060126-0) unstable; urgency=low

  * Locally built.

 -- Péter Soós <sp@osb.hu>  Wed, 25 Jan 2006 21:06:28 +0100

=== debian/control ===
Source: linux-linaro-mx51
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, binutils-dev, rsync, libdw-dev
#Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: git://git.linaro.org/ubuntu/linux-linaro.git

Package: linux-headers-2.6.38-1000
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}
#Provides: linux-linaro-mx51-headers, linux-linaro-mx51-headers-2.6
Description: Header files related to Linux kernel version 2.6.38
 This package provides kernel header files for version 2.6.38, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-linaro-mx51-headers-2.6.38-1000/debian.README.gz for details

Package: linux-linaro-tools-2.6.38-1000
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel tools for version 2.6.38-1000
 This package provides the architecture dependant parts for kernel
 version locked tools for version 2.6.38-1000 on
 DESC.

Package: linux-image-2.6.38-1000-linaro-mx51
Architecture: armel
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24), debconf | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: uboot-mkimage, flash-kernel
Suggests: fdutils, linux-linaro-mx51-doc-2.6.38 | linux-linaro-mx51-source-2.6.38, linux-linaro-tools
Description: Linux kernel image for version 2.6.38 on Freescale i.MX51 based platforms
 This package contains the Linux kernel image for version 2.6.38 on
 Freescale i.MX51 based platforms.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Freescale i.MX51 processors.
 .
 Freescale Babbage platform
 .
 You likely do not want to install this package directly. Instead, install
 the linux-linaro-mx51 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.38-1000-linaro-mx51
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-2.6.38-1000, ${shlibs:Depends}
Description: Linux kernel headers for version 2.6.38 on Freescale i.MX51 based platforms
 This package provides kernel header files for version 2.6.38 on
 Freescale i.MX51 based platforms.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-linaro-mx51-headers-2.6.38-1000/debian.README.gz
 for details.

Package: linux-image-2.6.38-1000-linaro-mx51-dbgsym
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.38 on Freescale i.MX51 based platforms
 This package provides a kernel debug image for version 2.6.38 on
 Freescale i.MX51 based platforms.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.
